# UserIdentifier (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.game.data
Class UserIdentifier

    java.lang.Object
      com.threerings.parlor.game.data.UserIdentifier

    public class UserIdentifier

extends Object

Nested Class Summary
`static interface` `UserIdentifier.Ider` Implement this and set the mutha up.

Constructor Summary
`UserIdentifier()`

Method Summary
`static int` `getUserId(com.threerings.util.Name name)` Returns the id of the specified user, or 0 if they're not valid.
`static void` `setIder(UserIdentifier.Ider userIder)` Set the global user identifier to use.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserIdentifier

    public UserIdentifier()

Method Detail

### getUserId

    public static int getUserId(com.threerings.util.Name name)

  Returns the id of the specified user, or 0 if they're not valid.

### setIder

    public static void setIder(UserIdentifier.Ider userIder)

  Set the global user identifier to use.

Copyright © 2011. All Rights Reserved.